Subject: Re: bug#31489: 25.3; Dired unable to open directory "/ssh:example.com"

From: Michael Albinus <[email-masked]>
Date: Mon, 04 Jun 2018 18:37:35 +0200

Version: 27.1

Michael Albinus <[email-masked]> writes:

Hi Christoph,

> Finally, I've pushed a patch to Emacs' master branch which should solve
> your problem. Add the following line to your .emacs:
>
> (setq tramp-ignored-file-name-regexp "\\`/ssh:example\\.com:")
>
> That's it. Tramp's documentation tells something about.

Additionally, I have enhanced `file-name-non-special' to work proper for
files in a directory like "/:/ssh:example.com:/". This is independent
from the Tramp configuration shown above.

If you have a chance to build Emacs from git, you could test it.

I'm closing the bug.

Best regards, Michael.